import { FaGithub, FaGitlab, FaBitbucket, FaQuestionCircle } from './iconImports';

export function getGitProviderIcon(provider?: string): JSX.Element {
  const providers: Record<string, JSX.Element> = {
    github: <FaGithub />,
    gitlab: <FaGitlab />,
    bitbucket: <FaBitbucket />,
  };

  return providers[provider?.toLowerCase() || ''] || <FaQuestionCircle />;
}
